<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-06-07T14:30:22Z</TimeStamp>
    <ReleaseNote>Addresses an issue migrating when database name is not standard</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-06-07T14:29:44Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-06-07T14:29:30Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Reopened</StatusString>
    <TimeStamp>2023-06-07T14:29:26Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-07T14:17:56Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified with DataPRO v4.0.949, v4.1.300
 
Tested:
 
Fresh install of 3.1.678. Chose both. Database hostname = asada, Database name = DataPro4_US
 
Attached the mdf and ldf to asada and changed config file in 3.1.678 to the following 
 
      &lt;setting name="UseNTLMAuthentication" serializeAs="String"&gt;
         &lt;value&gt;True&lt;/value&gt;
       &lt;/setting&gt;
       &lt;setting name="DBName" serializeAs="String"&gt;
         &lt;value&gt;DataPro4_US&lt;/value&gt;
       &lt;/setting&gt;
       &lt;setting name="DBType" serializeAs="String"&gt;
         &lt;value&gt;2&lt;/value&gt;
       &lt;/setting&gt;
       &lt;setting name="LocalDbHost" serializeAs="String"&gt;
         &lt;value&gt;asada&lt;/value&gt;
 
Deleted all DataPRO (though you may want to do this first before installing 3.1.678 because you will have to do this all over. So do this first)
 
Installed 4.0.949 and 4.1.300 to verify migration succeeded.
 
Database migration succeeds when name is DataPRO4_US
 
 
Opening DataPRO</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-05-24T23:39:23Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-05-24T21:55:27Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-24T00:08:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Click OK.
Ensure that the Centralized database migrates successfully and can be used by 4.0.

</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-23T23:50:20Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Click OK.

</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-23T23:48:33Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Click Migrate.

</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-23T23:46:25Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Click OK.
Ensure that the database migrates successfully and resides in the C:\Projects\db folder.

For more extra credit:
Detach the migrated database on the server, and attach the un-migrated 3.1.678 database (DataPro4_US).
Choose the "Centralized database" radio button.
Enter the name of the server where the database is attached.
Change the "Database name" to "DataPro4_US".
Check the "Use NTLM authentication" checkbox.

</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-23T23:45:06Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Extra credit testing continued:

Click Migrate.
</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-23T23:40:35Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>4.0 is 48790; 4.1 is 48791.

To test:

Install the attached database as both a Local db in the C:\DTS\DTS.Suite\3.1.678\DataPRO\db folder, and as a Centralized db on a server (it's named DataPro4_US).

Copy the attached config file to the C:\DTS\DTS.Suite\3.1.678\DataPRO folder (it specifies a DbType of 2 (Both)).

Modify the config file to use the server where you attached the db.

Install 4.0 and migrate both the Local database and the Centralized 3.1.678 database.

Migration should not fail and the databases should be usable by 4.0.

For extra credit:
After installing 4.0 without doing a migration, run C:\DTS\DTS.Suite\&lt;4.0 version&gt;\DataPRO\InstallerCustomActions\DBConfiguration.exe.



</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-05-23T23:39:26Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-05-23T18:32:04Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-23T15:25:11Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>The attached config file shows that they use a DbType of 2 (Both).</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-09T19:48:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-05-09T18:54:47Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Migration failure occurs when attempting to migrate the attached 3.1.678 database to 4.0.920.</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-05-09T18:54:47Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>